com.genesyslab.wfm7.API.service.adherence720

## Class AdhAgentState

- java.lang.Object
- - com.genesyslab.wfm7.API.service.adherence720.AdhAgentState

- All Implemented Interfaces:
    java.io.Serializable

      public class AdhAgentState
      extends java.lang.Object
      implements java.io.Serializable

  At any given moment every agent is at some state assigned by Genesys Framework. There is predefined set of available Agent States. Also agent state may have user-defined "reason" code(s) attached to fine grain it further. The Agent State of every agent is tracked in real-time and is logged to database by WFM Data Aggregator. The agent state log fully illustrates agent's activity. The database format is made proprietary for performance reasons although historical Agent State information is made readily available by Adherence Service. The historical Agent State log consists of records named Adherence Agent State.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `gswAgentId` Agent ID, identifies `CfgAgent` object
    `private int` | `gswStateId` Genesys Agent State ID, identifies `CfgAgentState` object
    `private double` | `wmEndDateTime` State end date/time `OleDateTime`
    `private java.lang.String` | `wmReasons` State Reason Code
    `private int` | `wmSiteId` Site ID, identifies `CfgSite` object
    `private double` | `wmStartDateTime` State start date/time `OleDateTime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdhAgentState()`
    `AdhAgentState(int wmSiteId, int gswAgentId, int gswStateId, java.lang.String wmReasons, double wmStartDateTime, double wmEndDateTime)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getGswAgentId()` Gets the gswAgentId value for this AdhAgentState.
    `int` | `getGswStateId()` Gets the gswStateId value for this AdhAgentState.
    `double` | `getWmEndDateTime()` Gets the wmEndDateTime value for this AdhAgentState.
    `java.lang.String` | `getWmReasons()` Gets the wmReasons value for this AdhAgentState.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this AdhAgentState.
    `double` | `getWmStartDateTime()` Gets the wmStartDateTime value for this AdhAgentState.
    `void` | `setGswAgentId(int gswAgentId)` Sets the gswAgentId value for this AdhAgentState.
    `void` | `setGswStateId(int gswStateId)` Sets the gswStateId value for this AdhAgentState.
    `void` | `setWmEndDateTime(double wmEndDateTime)` Sets the wmEndDateTime value for this AdhAgentState.
    `void` | `setWmReasons(java.lang.String wmReasons)` Sets the wmReasons value for this AdhAgentState.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this AdhAgentState.
    `void` | `setWmStartDateTime(double wmStartDateTime)` Sets the wmStartDateTime value for this AdhAgentState.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmSiteId

          private int wmSiteId

      Site ID, identifies `CfgSite` object

    - #### gswAgentId

          private int gswAgentId

      Agent ID, identifies `CfgAgent` object

    - #### gswStateId

          private int gswStateId

      Genesys Agent State ID, identifies `CfgAgentState` object

    - #### wmReasons

          private java.lang.String wmReasons

      State Reason Code

    - #### wmStartDateTime

          private double wmStartDateTime

      State start date/time `OleDateTime`

    - #### wmEndDateTime

          private double wmEndDateTime

      State end date/time `OleDateTime`

  - ### Constructor Detail

    - #### AdhAgentState

          public AdhAgentState()

    - #### AdhAgentState

          public AdhAgentState(int wmSiteId,
                       int gswAgentId,
                       int gswStateId,
                       java.lang.String wmReasons,
                       double wmStartDateTime,
                       double wmEndDateTime)

  - ### Method Detail

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this AdhAgentState.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this AdhAgentState.
      Parameters:
        `wmSiteId` -

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the gswAgentId value for this AdhAgentState.
      Returns:
        gswAgentId

    - #### setGswAgentId

          public void setGswAgentId(int gswAgentId)

      Sets the gswAgentId value for this AdhAgentState.
      Parameters:
        `gswAgentId` -

    - #### getGswStateId

          public int getGswStateId()

      Gets the gswStateId value for this AdhAgentState.
      Returns:
        gswStateId

    - #### setGswStateId

          public void setGswStateId(int gswStateId)

      Sets the gswStateId value for this AdhAgentState.
      Parameters:
        `gswStateId` -

    - #### getWmReasons

          public java.lang.String getWmReasons()

      Gets the wmReasons value for this AdhAgentState.
      Returns:
        wmReasons

    - #### setWmReasons

          public void setWmReasons(java.lang.String wmReasons)

      Sets the wmReasons value for this AdhAgentState.
      Parameters:
        `wmReasons` -

    - #### getWmStartDateTime

          public double getWmStartDateTime()

      Gets the wmStartDateTime value for this AdhAgentState.
      Returns:
        wmStartDateTime

    - #### setWmStartDateTime

          public void setWmStartDateTime(double wmStartDateTime)

      Sets the wmStartDateTime value for this AdhAgentState.
      Parameters:
        `wmStartDateTime` -

    - #### getWmEndDateTime

          public double getWmEndDateTime()

      Gets the wmEndDateTime value for this AdhAgentState.
      Returns:
        wmEndDateTime

    - #### setWmEndDateTime

          public void setWmEndDateTime(double wmEndDateTime)

      Sets the wmEndDateTime value for this AdhAgentState.
      Parameters:
        `wmEndDateTime` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.